;pianoiPj
; PIC12F675̃szu
;
;Pin1   Vdd   +2V to +5.5V d
;   2   GP5, T1CKI, OSC1,  CLKIN
;   3   GP4, AN3,   T1G,   OSC2, CLKOUT
;   4   GP3, MCLR,  Vpp
;   5   GP2, AN2,   T0CLI, INT,  COUT
;   6   GP1, AN1,   CIN-,  Vref, ICSPCLK
;   7   GP0, AN0,   CIN+,  ICSPDAT	Xs[J[@
;   8   Vss   0V d
;


	list      p=12f675	; |󎞂ɃXgt@C܂
	#include <p12f675.inc>	; 12F675p`t@Cǂݍ݂܂
	errorlevel  -302	; |󎞂302G[oȂ悤ɂ܂

	__CONFIG _CP_OFF & _CPD_OFF & _BODEN_OFF & _MCLRE_OFF & _WDT_OFF & _PWRTE_ON &_HS_OSC	;20MHzZbN	@

	radix	dec		; ȗ̐l\POiɂ܂B





	ORG	000H
		GOTO	INIT

	ORG	004H
	 	GOTO	INT	


	TABLE1		EQU	20H
	_PWM1		EQU	21H
	T0		EQU	22H	
	T1		EQU	23H
	T2		EQU	24H
	T3		EQU	25H
	T4		EQU	26H  
	T5		EQU	27H	
;			EQU	28H
	DD		EQU	29H
	STATUS_BU	EQU	2AH
	WARI		EQU	2BH
	OVFL_C		EQU	2CH
	PIYO		EQU	2DH
	PIYO1		EQU	2EH
	PIYO2		EQU	2FH
	PIYO3		EQU	30H
;			EQU	31H
;			EQU	32H
;			EQU	33H

;---- [` ----
INIT:
	BCF	STATUS,RP0			;BANK 0

	CLRF	GPIO
			
	MOVLW   B'00000111'			;Rp[^sdl
	MOVWF	CMCON                      	; 

	BSF	STATUS,RP0			;BANK 1

	MOVLW   B'00001000'			;IN 3   OUT 0,1,2,4,5
	MOVWF	TRISIO                      	; GPIO

	MOVLW   B'10000111'                  	; T0CS'0'AGP2͏o̓s
	MOVWF	OPTION_REG 
                       				; OPTIONWX^ɏ
	CLRF	ANSEL				;AiO͕sdl

		
	BCF	STATUS,RP0			;BANK 0
	
	MOVLW	D'1'				;256-D' '=
	MOVWF	TMR0
	MOVLW	D'15'		;15		;I[o[t[
	MOVWF	OVFL_C
	
	BSF	INTCON,T0IE			;^C}
	BSF	INTCON,GIE			;S̊

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

	


	CLRF	TABLE1
	CLRF	_PWM1	
	CLRF	T0
	CLRF	T1	
	CLRF	T2
	CLRF	T3	
	CLRF	T4
	CLRF	T5
;	CLRF	
;	CLRF	
	CLRF	DD
	CLRF	STATUS_BU
	CLRF	WARI
	CLRF	PIYO
	CLRF	PIYO1
	CLRF	PIYO2
	CLRF	PIYO3




	GOTO	MAIN0

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;@@@荞݃|`
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

INT
	MOVWF	WARI
	SWAPF	STATUS,W
	MOVWF	STATUS_BU
						
	BCF	INTCON,T0IF
	MOVLW	D'1'				;256-D' '=		
	MOVWF	TMR0
	DECFSZ	OVFL_C,F

	GOTO	INT_1
	MOVLW	D'15'			;15	;I[o[t[
	MOVWF	OVFL_C	
		
	BSF	DD,F			

INT_1
	SWAPF	STATUS_BU,W
	MOVWF	STATUS
	MOVF	WARI,W

	RETFIE 
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
T_2
	MOVLW	D'250'
	MOVWF	T2
T_2LP
	NOP
	DECFSZ	T2,F
	GOTO	T_2LP
	RETURN

T_3
	MOVLW	D'250'
	MOVWF	T3
T_3LP
	CALL	T_2
	DECFSZ	T3,F
	GOTO	T_3LP
	RETURN	

T_4
	MOVLW	D'35'
	MOVWF	T4
T_4LP
	CALL	T_3
	DECFSZ	T4,F
	GOTO	T_4LP
	RETURN

T_5
	MOVLW	D'3'
	MOVWF	T5
T_5LP
	CALL	T_4
	DECFSZ	T5,F
	GOTO	T_5LP
	RETURN


;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

MAIN0

;	BTFSC	GPIO,3
;	GOTO	MAIN1
;	NOP	
;	SLEEP
;	GOTO	MAIN0


;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

MAIN1				;Jn

	BCF	DD,F
	CALL	TABLE_PTN1	;gp^[
	MOVWF	TABLE1 		;g
	INCF	_PWM1,F
	MOVLW	D'148'		;<<<<<<<<
	SUBWF	_PWM1,W
	BTFSC	STATUS,C

	GOTO 	MAIN3		;gp^[I
	
	GOTO	MAIN2		;gp^[p


;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

MAIN2				;gp^[p

FREQ_1
			
	MOVF	TABLE1,W	;g			
	MOVWF	PIYO		;g1

	MOVLW	D'1'		;g1D'0'ׂ		
	SUBWF	PIYO,W
	BTFSC	STATUS,C	
	GOTO 	T_A		;
	GOTO	FREQ_2		;g1D'0'
	
FREQ_2
	BCF	GPIO,0		;g1D'0'
	BTFSC	DD,F		;荞ݑ҂
	GOTO	MAIN1		;JbR[Jn
	GOTO	FREQ_2		;荞ݑ҂[v

			
T_A				;<<<<<<<<<<<<<<<<<<<<<<<<<<		

	MOVLW	D'1'	
	MOVWF	PIYO2
T_A1
	MOVLW	D'8'		;20
	MOVWF	PIYO3

T_A2
	MOVF	PIYO,W
	MOVWF	PIYO1
A_1LP
	BSF	GPIO,0		;ON				
	BCF	GPIO,0		;OFF
	NOP				
	NOP
	NOP				
	NOP
	NOP				
	NOP
	DECFSZ	PIYO1,F
	GOTO	A_1LP

	MOVF	PIYO,W
	MOVWF	PIYO1
A_2LP
	BSF	GPIO,0		;ON				
	NOP
	NOP
	BCF	GPIO,0		;OFF				
	NOP				
	NOP
	NOP				
	NOP			
	DECFSZ	PIYO1,F
	GOTO	A_2LP

	MOVF	PIYO,W
	MOVWF	PIYO1
A_3LP
	BSF	GPIO,0		;ON				
	NOP
	NOP				
	NOP
	NOP
	NOP
	NOP
	BCF	GPIO,0		;OFF					
	DECFSZ	PIYO1,F
	GOTO	A_3LP

	MOVF	PIYO,W
	MOVWF	PIYO1
A_4LP	
	BSF	GPIO,0		;ON					
	NOP
	BCF	GPIO,0		;OFF				
	NOP
	NOP				
	NOP
	NOP
	NOP
	DECFSZ	PIYO1,F
	GOTO	A_4LP

	MOVF	PIYO,W
	MOVWF	PIYO1
A_5LP	
	BSF	GPIO,0		;ON				
	NOP
	NOP
	NOP
	BCF	GPIO,0		;OFF
	NOP
	NOP				
	NOP
	DECFSZ	PIYO1,F
	GOTO	A_5LP

	MOVF	PIYO,W
	MOVWF	PIYO1
A_6LP	
	BSF	GPIO,0		;ON
	BCF	GPIO,0		;OFF
	NOP			
	NOP
	NOP				
	NOP
	NOP				
	NOP
	DECFSZ	PIYO1,F
	GOTO	A_6LP

	MOVF	PIYO,W
	MOVWF	PIYO1
A_7LP	
	BSF	GPIO,0		;ON				
	NOP
	NOP
	BCF	GPIO,0		;OFF				
	NOP				
	NOP
	NOP				
	NOP
	DECFSZ	PIYO1,F
	GOTO	A_7LP

	MOVF	PIYO,W
	MOVWF	PIYO1
A_8LP	
	BCF	GPIO,0		;OFF
	NOP
	NOP				
	NOP
	NOP				
	NOP
	NOP				
	NOP
	DECFSZ	PIYO1,F
	GOTO	A_8LP

	BTFSC	DD,F
	GOTO	MAIN1

	DECFSZ	PIYO3,F
	GOTO	T_A2

	DECFSZ	PIYO2,F
	GOTO	T_A1
	

				
T_B			;<<<<<<<<<<<<<<<<<<<<<<<<<<

	MOVLW	D'1'
	MOVWF	PIYO2
T_B1
	MOVLW	D'10'		;20	
	MOVWF	PIYO3

T_B2
	MOVF	PIYO,W
	MOVWF	PIYO1
B_1LP
	BSF	GPIO,0		;ON				
	BCF	GPIO,0		;OFF
	NOP				
	NOP
	NOP				
	NOP
	NOP				
	NOP

	DECFSZ	PIYO1,F
	GOTO	B_1LP

	MOVF	PIYO,W
	MOVWF	PIYO1
B_2LP
	BSF	GPIO,0		;ON		
	NOP
	NOP				
	NOP
	NOP				
	BCF	GPIO,0		;OFF
	NOP				
	NOP
	DECFSZ	PIYO1,F
	GOTO	B_2LP

	MOVF	PIYO,W
	MOVWF	PIYO1
B_3LP
	BSF	GPIO,0		;ON		
	NOP
	NOP				
	NOP
	NOP				
	NOP
	NOP				
	NOP
	DECFSZ	PIYO1,F
	GOTO	B_3LP

	MOVF	PIYO,W
	MOVWF	PIYO1
B_4LP	
	BSF	GPIO,0		;ON		
	NOP
	NOP			
	NOP
	BCF	GPIO,0		;OFF					
	NOP
	NOP				
	NOP
	DECFSZ	PIYO1,F
	GOTO	B_4LP

	MOVF	PIYO,W
	MOVWF	PIYO1
B_5LP	
	BSF	GPIO,0		;ON		
	NOP
	NOP				
	NOP
	NOP
	NOP
	BCF	GPIO,0		;OFF				
	NOP
	DECFSZ	PIYO1,F
	GOTO	B_5LP

	MOVF	PIYO,W
	MOVWF	PIYO1
B_6LP	
	BSF	GPIO,0		;ON
	NOP		
	BCF	GPIO,0		;OFF				
	NOP
	NOP				
	NOP
	NOP				
	NOP
	DECFSZ	PIYO1,F
	GOTO	B_6LP

	MOVF	PIYO,W
	MOVWF	PIYO1
B_7LP	
	BSF	GPIO,0		;ON			
	NOP
	NOP
	NOP				
	BCF	GPIO,0		;OFF				
	NOP
	NOP				
	NOP
	DECFSZ	PIYO1,F
	GOTO	B_7LP

	MOVF	PIYO,W
	MOVWF	PIYO1
B_8LP	
	BCF	GPIO,0		;OFF			
	NOP
	NOP				
	NOP
	NOP				
	NOP
	NOP				
	NOP	
	DECFSZ	PIYO1,F
	GOTO	B_8LP

	BTFSC	DD,F
	GOTO	MAIN1

	DECFSZ	PIYO3,F
	GOTO	T_B2

	DECFSZ	PIYO2,F
	GOTO	T_B1

T_C				;<<<<<<<<<<<<<<<<<<<<<<<<<<<<<

	MOVLW	D'1'
	MOVWF	PIYO2
T_C1
	MOVLW	D'30'		;50	
	MOVWF	PIYO3

T_C2

	MOVF	PIYO,W
	MOVWF	PIYO1
C_1LP
	BSF	GPIO,0		;ON			
	BCF	GPIO,0		;OFF
	NOP				
	NOP
	NOP				
	NOP
	NOP				
	NOP

	DECFSZ	PIYO1,F
	GOTO	C_1LP

	MOVF	PIYO,W
	MOVWF	PIYO1
C_2LP
	BSF	GPIO,0		;ON			
	NOP
	NOP
	NOP
	BCF	GPIO,0		;OFF				
	NOP
	NOP				
	NOP
	DECFSZ	PIYO1,F
	GOTO	C_2LP


	MOVF	PIYO,W
	MOVWF	PIYO1
C_3LP
	BSF	GPIO,0		;ON			
	NOP
	NOP				
	NOP
	NOP
	NOP
	NOP
	BCF	GPIO,0		;OFF
	DECFSZ	PIYO1,F
	GOTO	C_3LP

	MOVF	PIYO,W
	MOVWF	PIYO1
C_4LP	
	BSF	GPIO,0		;ON			
	NOP
	NOP
	BCF	GPIO,0		;OFF				
	NOP
	NOP
	NOP
	NOP				

	DECFSZ	PIYO1,F
	GOTO	C_4LP

	MOVF	PIYO,W
	MOVWF	PIYO1
C_5LP	
	BSF	GPIO,0		;ON			
	NOP
	NOP				
	NOP
	NOP
	BCF	GPIO,0		;OFF
	NOP				
	NOP
	DECFSZ	PIYO1,F
	GOTO	C_5LP

	MOVF	PIYO,W
	MOVWF	PIYO1
C_6LP	
	BSF	GPIO,0		;ON
	NOP
	BCF	GPIO,0		;OFF
	NOP
	NOP				
	NOP				
	NOP				
	NOP
	DECFSZ	PIYO1,F
	GOTO	C_6LP

	MOVF	PIYO,W
	MOVWF	PIYO1
C_7LP	
	BSF	GPIO,0		;ON			
	NOP
	NOP				
	NOP
	BCF	GPIO,0		;OFF				
	NOP
	NOP				
	NOP
	DECFSZ	PIYO1,F
	GOTO	C_7LP

	MOVF	PIYO,W
	MOVWF	PIYO1
C_8LP	
	BCF	GPIO,0		;OFF				
	NOP
	NOP				
	NOP
	NOP				
	NOP
	NOP				
	NOP	
	DECFSZ	PIYO1,F
	GOTO	C_8LP

	BTFSC	DD,F
	GOTO	MAIN1
		
	DECFSZ	PIYO3,F
	GOTO	T_C2

	DECFSZ	PIYO2,F
	GOTO	T_C1




T_D				;<<<<<<<<<<<<<<<<<<<<<<<<<<<<<

	MOVLW	D'1'
	MOVWF	PIYO2
T_D1
	MOVLW	D'90'		;50	
	MOVWF	PIYO3

T_D2

	MOVF	PIYO,W
	MOVWF	PIYO1
D_1LP
	BSF	GPIO,0		;ON			
	BCF	GPIO,0		;OFF
	NOP				
	NOP
	NOP				
	NOP
	NOP				
	NOP

	DECFSZ	PIYO1,F
	GOTO	D_1LP

	MOVF	PIYO,W
	MOVWF	PIYO1
D_2LP
	BSF	GPIO,0		;ON			
	NOP
	NOP
	BCF	GPIO,0		;OFF
	NOP				
	NOP
	NOP				
	NOP
	DECFSZ	PIYO1,F
	GOTO	D_2LP


	MOVF	PIYO,W
	MOVWF	PIYO1
D_3LP
	BSF	GPIO,0		;ON			
	NOP
	NOP				
	NOP
	NOP
	BCF	GPIO,0		;OFF	
	NOP
	NOP
	DECFSZ	PIYO1,F
	GOTO	D_3LP

	MOVF	PIYO,W
	MOVWF	PIYO1
D_4LP	
	BSF	GPIO,0		;ON			
	NOP
	BCF	GPIO,0		;OFF	
	NOP				
	NOP
	NOP
	NOP
	NOP				

	DECFSZ	PIYO1,F
	GOTO	D_4LP

	MOVF	PIYO,W
	MOVWF	PIYO1
D_5LP	
	BSF	GPIO,0		;ON			
	NOP
	NOP
	NOP
	BCF	GPIO,0		;OFF
	NOP
	NOP				
	NOP
	DECFSZ	PIYO1,F
	GOTO	D_5LP

	MOVF	PIYO,W
	MOVWF	PIYO1
D_6LP	
	BSF	GPIO,0		;ON
	BCF	GPIO,0		;OFF			
	NOP
	NOP
	NOP				
	NOP				
	NOP				
	NOP
	DECFSZ	PIYO1,F
	GOTO	D_6LP

	MOVF	PIYO,W
	MOVWF	PIYO1
D_7LP	
	BSF	GPIO,0		;ON			
	NOP
	NOP
	BCF	GPIO,0		;OFF				
	NOP				
	NOP
	NOP				
	NOP
	DECFSZ	PIYO1,F
	GOTO	D_7LP

	MOVF	PIYO,W
	MOVWF	PIYO1
D_8LP	
	BCF	GPIO,0		;OFF				
	NOP
	NOP				
	NOP
	NOP				
	NOP
	NOP				
	NOP	
	DECFSZ	PIYO1,F
	GOTO	D_8LP

	BTFSC	DD,F
	GOTO	MAIN1
			
	DECFSZ	PIYO3,F
	GOTO	T_D2

	DECFSZ	PIYO2,F
	GOTO	T_D1



T_E				;<<<<<<<<<<<<<<<<<<<<<<<<<<<<<

	MOVLW	D'1'
	MOVWF	PIYO2
T_E1
	MOVLW	D'20'		;20	
	MOVWF	PIYO3

T_E2

	MOVF	PIYO,W
	MOVWF	PIYO1
E_1LP
	BSF	GPIO,0		;ON			
	BCF	GPIO,0		;OFF
	NOP				
	NOP
	NOP				
	NOP
	NOP				
	NOP

	DECFSZ	PIYO1,F
	GOTO	E_1LP

	MOVF	PIYO,W
	MOVWF	PIYO1
E_2LP
	BSF	GPIO,0		;ON			
	NOP
	NOP
	BCF	GPIO,0		;OFF
	NOP				
	NOP
	NOP				
	NOP
	DECFSZ	PIYO1,F
	GOTO	E_2LP


	MOVF	PIYO,W
	MOVWF	PIYO1
E_3LP
	BSF	GPIO,0		;ON			
	NOP
	NOP
	NOP
	BCF	GPIO,0		;OFF	
	NOP
	NOP				
	NOP
	DECFSZ	PIYO1,F
	GOTO	E_3LP

	MOVF	PIYO,W
	MOVWF	PIYO1
E_4LP	
	BSF	GPIO,0		;ON			
	NOP
	BCF	GPIO,0		;OFF
	NOP
	NOP
	NOP
	NOP
	NOP				

	DECFSZ	PIYO1,F
	GOTO	E_4LP

	MOVF	PIYO,W
	MOVWF	PIYO1
E_5LP	
	BSF	GPIO,0		;ON			
	NOP
	NOP
	BCF	GPIO,0		;OFF
	NOP
	NOP
	NOP				
	NOP
	DECFSZ	PIYO1,F
	GOTO	E_5LP

	MOVF	PIYO,W
	MOVWF	PIYO1
E_6LP	
	BSF	GPIO,0		;ON
	BCF	GPIO,0		;OFF
	NOP
	NOP
	NOP				
	NOP				
	NOP				
	NOP
	DECFSZ	PIYO1,F
	GOTO	E_6LP

	MOVF	PIYO,W
	MOVWF	PIYO1
E_7LP	
	BSF	GPIO,0		;ON	
	NOP
	BCF	GPIO,0		;OFF
	NOP
	NOP				
	NOP
	NOP				
	NOP
	DECFSZ	PIYO1,F
	GOTO	E_7LP

	MOVF	PIYO,W
	MOVWF	PIYO1
E_8LP	
	BCF	GPIO,0		;OFF				
	NOP
	NOP				
	NOP
	NOP				
	NOP
	NOP				
	NOP	
	DECFSZ	PIYO1,F
	GOTO	E_8LP

	BTFSC	DD,F
	GOTO	MAIN1
		
	DECFSZ	PIYO3,F
	GOTO	T_E2

	DECFSZ	PIYO2,F
	GOTO	T_E1

T_F				;<<<<<<<<<<<<<<<<<<<<<<<<<<<<<

	MOVLW	D'1'
	MOVWF	PIYO2
T_F1
	MOVLW	D'200'		;20	
	MOVWF	PIYO3

T_F2

	MOVF	PIYO,W
	MOVWF	PIYO1
F_1LP
	BSF	GPIO,0		;ON			
	BCF	GPIO,0		;OFF
	NOP				
	NOP
	NOP				
	NOP
	NOP				
	NOP

	DECFSZ	PIYO1,F
	GOTO	F_1LP

	MOVF	PIYO,W
	MOVWF	PIYO1
F_2LP
	BSF	GPIO,0		;ON			
	NOP
	BCF	GPIO,0		;OFF
	NOP
	NOP				
	NOP
	NOP				
	NOP
	DECFSZ	PIYO1,F
	GOTO	F_2LP


	MOVF	PIYO,W
	MOVWF	PIYO1
F_3LP
	BSF	GPIO,0		;ON			
	NOP
	NOP
	BCF	GPIO,0		;OFF	
	NOP
	NOP
	NOP				
	NOP
	DECFSZ	PIYO1,F
	GOTO	F_3LP

	MOVF	PIYO,W
	MOVWF	PIYO1
F_4LP	
	BSF	GPIO,0		;ON			
	NOP
	NOP
	BCF	GPIO,0		;OFF
	NOP
	NOP
	NOP
	NOP				

	DECFSZ	PIYO1,F
	GOTO	F_4LP

	MOVF	PIYO,W
	MOVWF	PIYO1
F_5LP	
	BSF	GPIO,0		;ON			
	NOP
	BCF	GPIO,0		;OFF
	NOP
	NOP
	NOP
	NOP				
	NOP
	DECFSZ	PIYO1,F
	GOTO	F_5LP

	MOVF	PIYO,W
	MOVWF	PIYO1
F_6LP	
	BSF	GPIO,0		;ON
	NOP
	BCF	GPIO,0		;OFF
	NOP
	NOP				
	NOP				
	NOP				
	NOP
	DECFSZ	PIYO1,F
	GOTO	F_6LP

	MOVF	PIYO,W
	MOVWF	PIYO1
F_7LP	
	BSF	GPIO,0		;ON
	BCF	GPIO,0		;OFF	
	NOP
	NOP
	NOP				
	NOP
	NOP				
	NOP
	DECFSZ	PIYO1,F
	GOTO	F_7LP

	MOVF	PIYO,W
	MOVWF	PIYO1
F_8LP	
	BCF	GPIO,0		;OFF				
	NOP
	NOP				
	NOP
	NOP				
	NOP
	NOP				
	NOP	
	DECFSZ	PIYO1,F
	GOTO	F_8LP

	BTFSC	DD,F
	GOTO	MAIN1
	GOTO	T_F
	
	DECFSZ	PIYO3,F
	GOTO	T_F2

	DECFSZ	PIYO2,F
	GOTO	T_F1

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

MAIN3				;gp^[I
	CLRF	_PWM1
	CALL	T_5
	GOTO	MAIN0 

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

	ORG	300H
TABLE_PTN1
	movlw	H'03'
	movwf	PCLATH	; e[u 0x300`0x3FFԒnɑ
	
	andlw	B'11111111'	

	MOVF	_PWM1,W
	ADDWF	PCL,F

	RETLW	D'0'		
	RETLW	D'0'	
	RETLW	D'36'		
	RETLW	D'40'

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

	RETLW	D'60'
	RETLW	D'0'		
	RETLW	D'30'		
	RETLW	D'0'

	RETLW	D'30'		
	RETLW	D'0'
	RETLW	D'36'	
	RETLW	D'40'

	RETLW	D'60'		
	RETLW	D'0'			
	RETLW	D'30'		
	RETLW	D'0'

	RETLW	D'30'		
	RETLW	D'0'	
	RETLW	D'36'		
	RETLW	D'40'



	RETLW	D'60'		
	RETLW	D'0'	
	RETLW	D'30'		
	RETLW	D'0'

	RETLW	D'36'
	RETLW	D'0'		
	RETLW	D'30'		
	RETLW	D'0'	

	RETLW	D'40'		
	RETLW	D'0'
	RETLW	D'32'	
	RETLW	D'0'

	RETLW	D'32'		
	RETLW	D'0'			
	RETLW	D'36'		
	RETLW	D'40'

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

	RETLW	D'40'
	RETLW	D'0'		
	RETLW	D'32'		
	RETLW	D'0'		

	RETLW	D'32'		
	RETLW	D'0'	
	RETLW	D'36'		
	RETLW	D'40'

	RETLW	D'40'
	RETLW	D'0'		
	RETLW	D'32'		
	RETLW	D'0'	

	RETLW	D'32'		
	RETLW	D'0'
	RETLW	D'36'	
	RETLW	D'40'



	RETLW	D'40'		
	RETLW	D'0'			
	RETLW	D'32'		
	RETLW	D'0'

	RETLW	D'36'		
	RETLW	D'0'	
	RETLW	D'32'		
	RETLW	D'0'

	RETLW	D'60'
	RETLW	D'0'		
	RETLW	D'30'		
	RETLW	D'0'	

	RETLW	D'30'		
	RETLW	D'0'
	RETLW	D'36'	
	RETLW	D'40'

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

	RETLW	D'60'
	RETLW	D'30'		
	RETLW	D'32'		
	RETLW	D'36'

	RETLW	D'30'		
	RETLW	D'45'
	RETLW	D'36'	
	RETLW	D'40'

	RETLW	D'60'		
	RETLW	D'30'			
	RETLW	D'32'		
	RETLW	D'36'

	RETLW	D'30'		
	RETLW	D'45'	
	RETLW	D'36'		
	RETLW	D'40'



	RETLW	D'60'		
	RETLW	D'40'	
	RETLW	D'30'		
	RETLW	D'40'

	RETLW	D'36'
	RETLW	D'40'		
	RETLW	D'30'		
	RETLW	D'36'	

	RETLW	D'40'		
	RETLW	D'54'
	RETLW	D'32'	
	RETLW	D'40'

	RETLW	D'32'		
	RETLW	D'40'			
	RETLW	D'36'		
	RETLW	D'40'

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

	RETLW	D'40'
	RETLW	D'54'		
	RETLW	D'32'		
	RETLW	D'40'		

	RETLW	D'32'		
	RETLW	D'40'	
	RETLW	D'36'		
	RETLW	D'40'

	RETLW	D'40'
	RETLW	D'54'		
	RETLW	D'32'		
	RETLW	D'40'	

	RETLW	D'32'		
	RETLW	D'40'
	RETLW	D'36'	
	RETLW	D'40'



	RETLW	D'40'		
	RETLW	D'32'			
	RETLW	D'36'		
	RETLW	D'40'

	RETLW	D'45'		
	RETLW	D'40'	
	RETLW	D'45'		
	RETLW	D'48'

	RETLW	D'54'
	RETLW	D'45'		
	RETLW	D'36'		
	RETLW	D'30'	

	RETLW	D'40'		
	RETLW	D'38'
	RETLW	D'36'	
	RETLW	D'32'

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

	RETLW	D'30'		
	RETLW	D'0'			
	RETLW	D'40'		
	RETLW	D'40'	

	RETLW	D'38'		
	RETLW	D'0'	
	RETLW	D'40'		
	RETLW	D'0'

	RETLW	D'0'
	RETLW	D'0'		
	RETLW	D'32'		
	RETLW	D'0'

	RETLW	D'30'		
	RETLW	D'0'
	RETLW	D'0'	
	RETLW	D'0'



END


	
